Subject: bug#44854: [PATCH] Add lexical-binding cookie to autoload files

From: Stefan Monnier <[email-masked]>
Date: Wed, 25 Nov 2020 12:54:39 -0500

> Then perhaps it isn't yet time to start putting the cookies into files
> that don't need it, like the autoloads files?

I think it would be good to aim for Emacs-28 being distributed with all
*its* .el files as well as the Elisp files it generates using
`lexical-binding:t`.  That's why I'm in favor of adding this cookie to
the autoload files now.

>> The first step will be to add a warning when a file doesn't come with an
>> explicit `lexical-binding:` cookie.
> That's an annoyance I think we should avoid.  It shouldn't be needed.
> It's like having a warning for a problem that will take a long time to
> get rid of.  Bad idea, IMO.

So we should first make sure we use `lexical-binding:t` everywhere.
Fine by me,

        Stefan